mixed-port: 7890
allow-lan: true
bind-address: '*'
mode: rule
log-level: info
external-controller: '127.0.0.1:9090'
dns:
    enable: true
    ipv6: false
    default-nameserver: [223.5.5.5, 119.29.29.29]
    enhanced-mode: fake-ip
    fake-ip-range: 198.18.0.1/16
    use-hosts: true
    nameserver: ['https://doh.pub/dns-query', 'https://dns.alidns.com/dns-query']
    fallback: ['https://doh.dns.sb/dns-query', 'https://dns.cloudflare.com/dns-query', 'https://dns.twnic.tw/dns-query', 'tls://8.8.4.4:853']
    fallback-filter: { geoip: true, ipcidr: [240.0.0.0/4, 0.0.0.0/32] }
proxies:
    - { name: '🇭🇰 HK 香港・01', type: ss, server: hkg-01.douyucdn.top, port: 28521, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇭🇰 HK 香港・02', type: ss, server: hkg-02.douyucdn.top, port: 28522, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇭🇰 HK 香港・03', type: ss, server: hkg-03.douyucdn.top, port: 28523, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇭🇰 HK 香港・04', type: ss, server: hkg-04.douyucdn.top, port: 28524, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇭🇰 HK 香港・05', type: ss, server: hkg-05.douyucdn.top, port: 28525, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇭🇰 HK 香港・06', type: ss, server: hkg-06.douyucdn.top, port: 28526, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・01', type: ss, server: sg-01.douyucdn.top, port: 25651, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・02', type: ss, server: sg-02.douyucdn.top, port: 25652, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・03', type: ss, server: sg-03.douyucdn.top, port: 25653, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・04', type: ss, server: sg-04.douyucdn.top, port: 25654, cipher: aes-128-gcm, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・05', type: ss, server: sg-05.douyucdn.top, port: 25565, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇸🇬 SG 新加坡・06', type: ss, server: sg-06.douyucdn.top, port: 25566, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇨🇳 TW 台湾・01', type: ss, server: tw-01.douyucdn.top, port: 28861, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇨🇳 TW 台湾・02', type: ss, server: tw-02.douyucdn.top, port: 28862, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇨🇳 TW 台湾・03', type: ss, server: tw-03.douyucdn.top, port: 28863, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇨🇳 TW 台湾・04', type: ss, server: tw-04.douyucdn.top, port: 28864, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇺🇸 US 美国・01', type: ss, server: us-01.douyucdn.top, port: 25511, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇺🇸 US 美国・02', type: ss, server: us-02.douyucdn.top, port: 25512, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇺🇸 US 美国・03', type: ss, server: us-03.douyucdn.top, port: 25513, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇰🇷 KR 韩国・01', type: ss, server: kr-01.douyucdn.top, port: 25821, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇰🇷 KR 韩国・02', type: ss, server: kr-02.douyucdn.top, port: 25822, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇯🇵 JP 日本・01', type: ss, server: jp-01.douyucdn.top, port: 25811, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇯🇵 JP 日本・02', type: ss, server: jp-02.douyucdn.top, port: 25812, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇯🇵 JP 日本・03', type: ss, server: jp-03.douyucdn.top, port: 25813, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇯🇵 JP 日本・04', type: ss, server: jp-04.douyucdn.top, port: 25814, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇮🇳 IN 印度・01', type: ss, server: in-01.douyucdn.top, port: 25911, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇩🇪 DE 德国・01', type: ss, server: de-01.douyucdn.top, port: 28491, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
    - { name: '🇩🇪 DE 德国・02', type: ss, server: de-02.douyucdn.top, port: 28492, cipher: chacha20-ietf-poly1305, password: 8efc56e6-0185-431c-be09-4675b1f82fe1, udp: true }
proxy-groups:
    - { name: KanJiChang, type: select, proxies: [自动选择, 故障转移, '🇭🇰 HK 香港・01', '🇭🇰 HK 香港・02', '🇭🇰 HK 香港・03', '🇭🇰 HK 香港・04', '🇭🇰 HK 香港・05', '🇭🇰 HK 香港・06', '🇸🇬 SG 新加坡・01', '🇸🇬 SG 新加坡・02', '🇸🇬 SG 新加坡・03', '🇸🇬 SG 新加坡・04', '🇸🇬 SG 新加坡・05', '🇸🇬 SG 新加坡・06', '🇨🇳 TW 台湾・01', '🇨🇳 TW 台湾・02', '🇨🇳 TW 台湾・03', '🇨🇳 TW 台湾・04', '🇺🇸 US 美国・01', '🇺🇸 US 美国・02', '🇺🇸 US 美国・03', '🇰🇷 KR 韩国・01', '🇰🇷 KR 韩国・02', '🇯🇵 JP 日本・01', '🇯🇵 JP 日本・02', '🇯🇵 JP 日本・03', '🇯🇵 JP 日本・04', '🇮🇳 IN 印度・01', '🇩🇪 DE 德国・01', '🇩🇪 DE 德国・02'] }
    - { name: 自动选择, type: url-test, proxies: ['🇭🇰 HK 香港・01', '🇭🇰 HK 香港・02', '🇭🇰 HK 香港・03', '🇭🇰 HK 香港・04', '🇭🇰 HK 香港・05', '🇭🇰 HK 香港・06', '🇸🇬 SG 新加坡・01', '🇸🇬 SG 新加坡・02', '🇸🇬 SG 新加坡・03', '🇸🇬 SG 新加坡・04', '🇸🇬 SG 新加坡・05', '🇸🇬 SG 新加坡・06', '🇨🇳 TW 台湾・01', '🇨🇳 TW 台湾・02', '🇨🇳 TW 台湾・03', '🇨🇳 TW 台湾・04', '🇺🇸 US 美国・01', '🇺🇸 US 美国・02', '🇺🇸 US 美国・03', '🇰🇷 KR 韩国・01', '🇰🇷 KR 韩国・02', '🇯🇵 JP 日本・01', '🇯🇵 JP 日本・02', '🇯🇵 JP 日本・03', '🇯🇵 JP 日本・04', '🇮🇳 IN 印度・01', '🇩🇪 DE 德国・01', '🇩🇪 DE 德国・02'], url: 'http://www.gstatic.com/generate_204', interval: 86400 }
    - { name: 故障转移, type: fallback, proxies: ['🇭🇰 HK 香港・01', '🇭🇰 HK 香港・02', '🇭🇰 HK 香港・03', '🇭🇰 HK 香港・04', '🇭🇰 HK 香港・05', '🇭🇰 HK 香港・06', '🇸🇬 SG 新加坡・01', '🇸🇬 SG 新加坡・02', '🇸🇬 SG 新加坡・03', '🇸🇬 SG 新加坡・04', '🇸🇬 SG 新加坡・05', '🇸🇬 SG 新加坡・06', '🇨🇳 TW 台湾・01', '🇨🇳 TW 台湾・02', '🇨🇳 TW 台湾・03', '🇨🇳 TW 台湾・04', '🇺🇸 US 美国・01', '🇺🇸 US 美国・02', '🇺🇸 US 美国・03', '🇰🇷 KR 韩国・01', '🇰🇷 KR 韩国・02', '🇯🇵 JP 日本・01', '🇯🇵 JP 日本・02', '🇯🇵 JP 日本・03', '🇯🇵 JP 日本・04', '🇮🇳 IN 印度・01', '🇩🇪 DE 德国・01', '🇩🇪 DE 德国・02'], url: 'http://www.gstatic.com/generate_204', interval: 7200 }
rules:
    - 'DOMAIN,127.0.0.1:7002,DIRECT'
    - 'DOMAIN-SUFFIX,services.googleapis.cn,Kan'
    - 'DOMAIN-SUFFIX,xn--ngstr-lra8j.com,KanJiChang'
    - 'DOMAIN,safebrowsing.urlsec.qq.com,DIRECT'
    - 'DOMAIN,safebrowsing.googleapis.com,DIRECT'
    - 'DOMAIN,developer.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,digicert.com,KanJiChang'
    - 'DOMAIN,ocsp.apple.com,KanJiChang'
    - 'DOMAIN,ocsp.comodoca.com,KanJiChang'
    - 'DOMAIN,ocsp.usertrust.com,KanJiChang'
    - 'DOMAIN,ocsp.sectigo.com,KanJiChang'
    - 'DOMAIN,ocsp.verisign.net,KanJiChang'
    - 'DOMAIN-SUFFIX,apple-dns.net,KanJiChang'
    - 'DOMAIN,testflight.apple.com,KanJiChang'
    - 'DOMAIN,sandbox.itunes.apple.com,KanJiChang'
    - 'DOMAIN,itunes.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,apps.apple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blobstore.apple.com,KanJiChang'
    - 'DOMAIN,cvws.icloud-content.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mzstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,itunes.apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,icloud-content.com,DIRECT'
    - 'DOMAIN-SUFFIX,me.com,DIRECT'
    - 'DOMAIN-SUFFIX,aaplimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn20.com,DIRECT'
    - 'DOMAIN-SUFFIX,cdn-apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,akadns.net,DIRECT'
    - 'DOMAIN-SUFFIX,akamaiedge.net,DIRECT'
    - 'DOMAIN-SUFFIX,edgekey.net,DIRECT'
    - 'DOMAIN-SUFFIX,mwcloudcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,mwcname.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-cloudkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,apple-mapkit.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.com,DIRECT'
    - 'DOMAIN-SUFFIX,126.net,DIRECT'
    - 'DOMAIN-SUFFIX,127.net,DIRECT'
    - 'DOMAIN-SUFFIX,163.com,DIRECT'
    - 'DOMAIN-SUFFIX,360buyimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,36kr.com,DIRECT'
    - 'DOMAIN-SUFFIX,acfun.tv,DIRECT'
    - 'DOMAIN-SUFFIX,air-matters.com,DIRECT'
    - 'DOMAIN-SUFFIX,aixifan.com,DIRECT'
    - 'DOMAIN-KEYWORD,alicdn,DIRECT'
    - 'DOMAIN-KEYWORD,alipay,DIRECT'
    - 'DOMAIN-KEYWORD,taobao,DIRECT'
    - 'DOMAIN-SUFFIX,amap.com,DIRECT'
    - 'DOMAIN-SUFFIX,autonavi.com,DIRECT'
    - 'DOMAIN-KEYWORD,baidu,DIRECT'
    - 'DOMAIN-SUFFIX,bdimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,bdstatic.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilibili.com,DIRECT'
    - 'DOMAIN-SUFFIX,bilivideo.com,DIRECT'
    - 'DOMAIN-SUFFIX,caiyunapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,clouddn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbeta.com,DIRECT'
    - 'DOMAIN-SUFFIX,cnbetacdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,cootekservice.com,DIRECT'
    - 'DOMAIN-SUFFIX,csdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,ctrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,dgtle.com,DIRECT'
    - 'DOMAIN-SUFFIX,dianping.com,DIRECT'
    - 'DOMAIN-SUFFIX,douban.com,DIRECT'
    - 'DOMAIN-SUFFIX,doubanio.com,DIRECT'
    - 'DOMAIN-SUFFIX,duokan.com,DIRECT'
    - 'DOMAIN-SUFFIX,easou.com,DIRECT'
    - 'DOMAIN-SUFFIX,ele.me,DIRECT'
    - 'DOMAIN-SUFFIX,feng.com,DIRECT'
    - 'DOMAIN-SUFFIX,fir.im,DIRECT'
    - 'DOMAIN-SUFFIX,frdic.com,DIRECT'
    - 'DOMAIN-SUFFIX,g-cores.com,DIRECT'
    - 'DOMAIN-SUFFIX,godic.net,DIRECT'
    - 'DOMAIN-SUFFIX,gtimg.com,DIRECT'
    - 'DOMAIN,cdn.hockeyapp.net,DIRECT'
    - 'DOMAIN-SUFFIX,hongxiu.com,DIRECT'
    - 'DOMAIN-SUFFIX,hxcdn.net,DIRECT'
    - 'DOMAIN-SUFFIX,iciba.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifeng.com,DIRECT'
    - 'DOMAIN-SUFFIX,ifengimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,ipip.net,DIRECT'
    - 'DOMAIN-SUFFIX,iqiyi.com,DIRECT'
    - 'DOMAIN-SUFFIX,jd.com,DIRECT'
    - 'DOMAIN-SUFFIX,jianshu.com,DIRECT'
    - 'DOMAIN-SUFFIX,knewone.com,DIRECT'
    - 'DOMAIN-SUFFIX,le.com,DIRECT'
    - 'DOMAIN-SUFFIX,lecloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,lemicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,licdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,luoo.net,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.com,DIRECT'
    - 'DOMAIN-SUFFIX,meituan.net,DIRECT'
    - 'DOMAIN-SUFFIX,mi.com,DIRECT'
    - 'DOMAIN-SUFFIX,miaopai.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoft.com,DIRECT'
    - 'DOMAIN-SUFFIX,microsoftonline.com,DIRECT'
    - 'DOMAIN-SUFFIX,miui.com,DIRECT'
    - 'DOMAIN-SUFFIX,miwifi.com,DIRECT'
    - 'DOMAIN-SUFFIX,mob.com,DIRECT'
    - 'DOMAIN-SUFFIX,netease.com,DIRECT'
    - 'DOMAIN-SUFFIX,office.com,DIRECT'
    - 'DOMAIN-SUFFIX,office365.com,DIRECT'
    - 'DOMAIN-KEYWORD,officecdn,DIRECT'
    - 'DOMAIN-SUFFIX,oschina.net,DIRECT'
    - 'DOMAIN-SUFFIX,ppsimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,pstatp.com,DIRECT'
    - 'DOMAIN-SUFFIX,qcloud.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdaily.com,DIRECT'
    - 'DOMAIN-SUFFIX,qdmm.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,qhres.com,DIRECT'
    - 'DOMAIN-SUFFIX,qidian.com,DIRECT'
    - 'DOMAIN-SUFFIX,qihucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniu.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiniucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,qiyipic.com,DIRECT'
    - 'DOMAIN-SUFFIX,qq.com,DIRECT'
    - 'DOMAIN-SUFFIX,qqurl.com,DIRECT'
    - 'DOMAIN-SUFFIX,rarbg.to,DIRECT'
    - 'DOMAIN-SUFFIX,ruguoapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,segmentfault.com,DIRECT'
    - 'DOMAIN-SUFFIX,sinaapp.com,DIRECT'
    - 'DOMAIN-SUFFIX,smzdm.com,DIRECT'
    - 'DOMAIN-SUFFIX,snapdrop.net,DIRECT'
    - 'DOMAIN-SUFFIX,sogou.com,DIRECT'
    - 'DOMAIN-SUFFIX,sogoucdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,sohu.com,DIRECT'
    - 'DOMAIN-SUFFIX,soku.com,DIRECT'
    - 'DOMAIN-SUFFIX,speedtest.net,DIRECT'
    - 'DOMAIN-SUFFIX,sspai.com,DIRECT'
    - 'DOMAIN-SUFFIX,suning.com,DIRECT'
    - 'DOMAIN-SUFFIX,taobao.com,DIRECT'
    - 'DOMAIN-SUFFIX,tencent.com,DIRECT'
    - 'DOMAIN-SUFFIX,tenpay.com,DIRECT'
    - 'DOMAIN-SUFFIX,tianyancha.com,DIRECT'
    - 'DOMAIN-SUFFIX,tmall.com,DIRECT'
    - 'DOMAIN-SUFFIX,tudou.com,DIRECT'
    - 'DOMAIN-SUFFIX,umetrip.com,DIRECT'
    - 'DOMAIN-SUFFIX,upaiyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,upyun.com,DIRECT'
    - 'DOMAIN-SUFFIX,veryzhun.com,DIRECT'
    - 'DOMAIN-SUFFIX,weather.com,DIRECT'
    - 'DOMAIN-SUFFIX,weibo.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.com,DIRECT'
    - 'DOMAIN-SUFFIX,xiami.net,DIRECT'
    - 'DOMAIN-SUFFIX,xiaomicp.com,DIRECT'
    - 'DOMAIN-SUFFIX,ximalaya.com,DIRECT'
    - 'DOMAIN-SUFFIX,xmcdn.com,DIRECT'
    - 'DOMAIN-SUFFIX,xunlei.com,DIRECT'
    - 'DOMAIN-SUFFIX,yhd.com,DIRECT'
    - 'DOMAIN-SUFFIX,yihaodianimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,yinxiang.com,DIRECT'
    - 'DOMAIN-SUFFIX,ykimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,youdao.com,DIRECT'
    - 'DOMAIN-SUFFIX,youku.com,DIRECT'
    - 'DOMAIN-SUFFIX,zealer.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhihu.com,DIRECT'
    - 'DOMAIN-SUFFIX,zhimg.com,DIRECT'
    - 'DOMAIN-SUFFIX,zimuzu.tv,DIRECT'
    - 'DOMAIN-SUFFIX,zoho.com,DIRECT'
    - 'DOMAIN-KEYWORD,amazon,KanJiChang'
    - 'DOMAIN-KEYWORD,google,KanJiChang'
    - 'DOMAIN-KEYWORD,gmail,KanJiChang'
    - 'DOMAIN-KEYWORD,youtube,KanJiChang'
    - 'DOMAIN-KEYWORD,facebook,KanJiChang'
    - 'DOMAIN-SUFFIX,fb.me,KanJiChang'
    - 'DOMAIN-SUFFIX,fbcdn.net,KanJiChang'
    - 'DOMAIN-KEYWORD,twitter,KanJiChang'
    - 'DOMAIN-KEYWORD,instagram,KanJiChang'
    - 'DOMAIN-KEYWORD,dropbox,KanJiChang'
    - 'DOMAIN-SUFFIX,twimg.com,KanJiChang'
    - 'DOMAIN-KEYWORD,blogspot,KanJiChang'
    - 'DOMAIN-SUFFIX,youtu.be,KanJiChang'
    - 'DOMAIN-KEYWORD,whatsapp,KanJiChang'
    - 'DOMAIN-KEYWORD,admarvel,REJECT'
    - 'DOMAIN-KEYWORD,admaster,REJECT'
    - 'DOMAIN-KEYWORD,adsage,REJECT'
    - 'DOMAIN-KEYWORD,adsmogo,REJECT'
    - 'DOMAIN-KEYWORD,adsrvmedia,REJECT'
    - 'DOMAIN-KEYWORD,adwords,REJECT'
    - 'DOMAIN-KEYWORD,adservice,REJECT'
    - 'DOMAIN-SUFFIX,appsflyer.com,REJECT'
    - 'DOMAIN-KEYWORD,domob,REJECT'
    - 'DOMAIN-SUFFIX,doubleclick.net,REJECT'
    - 'DOMAIN-KEYWORD,duomeng,REJECT'
    - 'DOMAIN-KEYWORD,dwtrack,REJECT'
    - 'DOMAIN-KEYWORD,guanggao,REJECT'
    - 'DOMAIN-KEYWORD,lianmeng,REJECT'
    - 'DOMAIN-SUFFIX,mmstat.com,REJECT'
    - 'DOMAIN-KEYWORD,mopub,REJECT'
    - 'DOMAIN-KEYWORD,omgmta,REJECT'
    - 'DOMAIN-KEYWORD,openx,REJECT'
    - 'DOMAIN-KEYWORD,partnerad,REJECT'
    - 'DOMAIN-KEYWORD,pingfore,REJECT'
    - 'DOMAIN-KEYWORD,supersonicads,REJECT'
    - 'DOMAIN-KEYWORD,uedas,REJECT'
    - 'DOMAIN-KEYWORD,umeng,REJECT'
    - 'DOMAIN-KEYWORD,usage,REJECT'
    - 'DOMAIN-SUFFIX,vungle.com,REJECT'
    - 'DOMAIN-KEYWORD,wlmonitor,REJECT'
    - 'DOMAIN-KEYWORD,zjtoolbar,REJECT'
    - 'DOMAIN-SUFFIX,9to5mac.com,KanJiChang'
    - 'DOMAIN-SUFFIX,abpchina.org,KanJiChang'
    - 'DOMAIN-SUFFIX,adblockplus.org,KanJiChang'
    - 'DOMAIN-SUFFIX,adobe.com,KanJiChang'
    - 'DOMAIN-SUFFIX,akamaized.net,KanJiChang'
    - 'DOMAIN-SUFFIX,alfredapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,amplitude.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ampproject.org,KanJiChang'
    - 'DOMAIN-SUFFIX,android.com,KanJiChang'
    - 'DOMAIN-SUFFIX,angularjs.org,KanJiChang'
    - 'DOMAIN-SUFFIX,aolcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,apkpure.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appledaily.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appshopper.com,KanJiChang'
    - 'DOMAIN-SUFFIX,appspot.com,KanJiChang'
    - 'DOMAIN-SUFFIX,arcgis.com,KanJiChang'
    - 'DOMAIN-SUFFIX,archive.org,KanJiChang'
    - 'DOMAIN-SUFFIX,armorgames.com,KanJiChang'
    - 'DOMAIN-SUFFIX,aspnetcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,att.com,KanJiChang'
    - 'DOMAIN-SUFFIX,awsstatic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,azureedge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,azurewebsites.net,KanJiChang'
    - 'DOMAIN-SUFFIX,bing.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bintray.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bit.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bit.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,bitbucket.org,KanJiChang'
    - 'DOMAIN-SUFFIX,bjango.com,KanJiChang'
    - 'DOMAIN-SUFFIX,bkrtx.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blog.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogger.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogsmithmedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogspot.com,KanJiChang'
    - 'DOMAIN-SUFFIX,blogspot.hk,KanJiChang'
    - 'DOMAIN-SUFFIX,bloomberg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,box.com,KanJiChang'
    - 'DOMAIN-SUFFIX,box.net,KanJiChang'
    - 'DOMAIN-SUFFIX,cachefly.net,KanJiChang'
    - 'DOMAIN-SUFFIX,chromium.org,KanJiChang'
    - 'DOMAIN-SUFFIX,cl.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudflare.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudfront.net,KanJiChang'
    - 'DOMAIN-SUFFIX,cloudmagic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cmail19.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cnet.com,KanJiChang'
    - 'DOMAIN-SUFFIX,cocoapods.org,KanJiChang'
    - 'DOMAIN-SUFFIX,comodoca.com,KanJiChang'
    - 'DOMAIN-SUFFIX,crashlytics.com,KanJiChang'
    - 'DOMAIN-SUFFIX,culturedcode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,d.pr,KanJiChang'
    - 'DOMAIN-SUFFIX,danilo.to,KanJiChang'
    - 'DOMAIN-SUFFIX,dayone.me,KanJiChang'
    - 'DOMAIN-SUFFIX,db.tt,KanJiChang'
    - 'DOMAIN-SUFFIX,deskconnect.com,KanJiChang'
    - 'DOMAIN-SUFFIX,disq.us,KanJiChang'
    - 'DOMAIN-SUFFIX,disqus.com,KanJiChang'
    - 'DOMAIN-SUFFIX,disquscdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dnsimple.com,KanJiChang'
    - 'DOMAIN-SUFFIX,docker.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dribbble.com,KanJiChang'
    - 'DOMAIN-SUFFIX,droplr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,duckduckgo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dueapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,dytt8.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgecastcdn.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgekey.net,KanJiChang'
    - 'DOMAIN-SUFFIX,edgesuite.net,KanJiChang'
    - 'DOMAIN-SUFFIX,engadget.com,KanJiChang'
    - 'DOMAIN-SUFFIX,entrust.net,KanJiChang'
    - 'DOMAIN-SUFFIX,eurekavpt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,evernote.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fabric.io,KanJiChang'
    - 'DOMAIN-SUFFIX,fast.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fastly.net,KanJiChang'
    - 'DOMAIN-SUFFIX,fc2.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedburner.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedly.com,KanJiChang'
    - 'DOMAIN-SUFFIX,feedsportal.com,KanJiChang'
    - 'DOMAIN-SUFFIX,fiftythree.com,KanJiChang'
    - 'DOMAIN-SUFFIX,firebaseio.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flexibits.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flickr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,flipboard.com,KanJiChang'
    - 'DOMAIN-SUFFIX,g.co,KanJiChang'
    - 'DOMAIN-SUFFIX,gabia.net,KanJiChang'
    - 'DOMAIN-SUFFIX,geni.us,KanJiChang'
    - 'DOMAIN-SUFFIX,gfx.ms,KanJiChang'
    - 'DOMAIN-SUFFIX,ggpht.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ghostnoteapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,git.io,KanJiChang'
    - 'DOMAIN-KEYWORD,github,KanJiChang'
    - 'DOMAIN-SUFFIX,globalsign.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gmodules.com,KanJiChang'
    - 'DOMAIN-SUFFIX,godaddy.com,KanJiChang'
    - 'DOMAIN-SUFFIX,golang.org,KanJiChang'
    - 'DOMAIN-SUFFIX,gongm.in,KanJiChang'
    - 'DOMAIN-SUFFIX,goo.gl,KanJiChang'
    - 'DOMAIN-SUFFIX,goodreaders.com,KanJiChang'
    - 'DOMAIN-SUFFIX,goodreads.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gravatar.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gstatic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,gvt0.com,KanJiChang'
    - 'DOMAIN-SUFFIX,hockeyapp.net,KanJiChang'
    - 'DOMAIN-SUFFIX,hotmail.com,KanJiChang'
    - 'DOMAIN-SUFFIX,icons8.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ifixit.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ift.tt,KanJiChang'
    - 'DOMAIN-SUFFIX,ifttt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,iherb.com,KanJiChang'
    - 'DOMAIN-SUFFIX,imageshack.us,KanJiChang'
    - 'DOMAIN-SUFFIX,img.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,imgur.com,KanJiChang'
    - 'DOMAIN-SUFFIX,imore.com,KanJiChang'
    - 'DOMAIN-SUFFIX,instapaper.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ipn.li,KanJiChang'
    - 'DOMAIN-SUFFIX,is.gd,KanJiChang'
    - 'DOMAIN-SUFFIX,issuu.com,KanJiChang'
    - 'DOMAIN-SUFFIX,itgonglun.com,KanJiChang'
    - 'DOMAIN-SUFFIX,itun.es,KanJiChang'
    - 'DOMAIN-SUFFIX,ixquick.com,KanJiChang'
    - 'DOMAIN-SUFFIX,j.mp,KanJiChang'
    - 'DOMAIN-SUFFIX,js.revsci.net,KanJiChang'
    - 'DOMAIN-SUFFIX,jshint.com,KanJiChang'
    - 'DOMAIN-SUFFIX,jtvnw.net,KanJiChang'
    - 'DOMAIN-SUFFIX,justgetflux.com,KanJiChang'
    - 'DOMAIN-SUFFIX,kat.cr,KanJiChang'
    - 'DOMAIN-SUFFIX,klip.me,KanJiChang'
    - 'DOMAIN-SUFFIX,libsyn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,linkedin.com,KanJiChang'
    - 'DOMAIN-SUFFIX,line-apps.com,KanJiChang'
    - 'DOMAIN-SUFFIX,linode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,lithium.com,KanJiChang'
    - 'DOMAIN-SUFFIX,littlehj.com,KanJiChang'
    - 'DOMAIN-SUFFIX,live.com,KanJiChang'
    - 'DOMAIN-SUFFIX,live.net,KanJiChang'
    - 'DOMAIN-SUFFIX,livefilestore.com,KanJiChang'
    - 'DOMAIN-SUFFIX,llnwd.net,KanJiChang'
    - 'DOMAIN-SUFFIX,macid.co,KanJiChang'
    - 'DOMAIN-SUFFIX,macromedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,macrumors.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mashable.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mathjax.org,KanJiChang'
    - 'DOMAIN-SUFFIX,medium.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mega.co.nz,KanJiChang'
    - 'DOMAIN-SUFFIX,mega.nz,KanJiChang'
    - 'DOMAIN-SUFFIX,megaupload.com,KanJiChang'
    - 'DOMAIN-SUFFIX,microsofttranslator.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mindnode.com,KanJiChang'
    - 'DOMAIN-SUFFIX,mobile01.com,KanJiChang'
    - 'DOMAIN-SUFFIX,modmyi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,msedge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,myfontastic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,name.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nextmedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nsstatic.net,KanJiChang'
    - 'DOMAIN-SUFFIX,nssurge.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nyt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,nytimes.com,KanJiChang'
    - 'DOMAIN-SUFFIX,omnigroup.com,KanJiChang'
    - 'DOMAIN-SUFFIX,onedrive.com,KanJiChang'
    - 'DOMAIN-SUFFIX,onenote.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ooyala.com,KanJiChang'
    - 'DOMAIN-SUFFIX,openvpn.net,KanJiChang'
    - 'DOMAIN-SUFFIX,openwrt.org,KanJiChang'
    - 'DOMAIN-SUFFIX,orkut.com,KanJiChang'
    - 'DOMAIN-SUFFIX,osxdaily.com,KanJiChang'
    - 'DOMAIN-SUFFIX,outlook.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ow.ly,KanJiChang'
    - 'DOMAIN-SUFFIX,paddleapi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,parallels.com,KanJiChang'
    - 'DOMAIN-SUFFIX,parse.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pdfexpert.com,KanJiChang'
    - 'DOMAIN-SUFFIX,periscope.tv,KanJiChang'
    - 'DOMAIN-SUFFIX,pinboard.in,KanJiChang'
    - 'DOMAIN-SUFFIX,pinterest.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pixelmator.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pixiv.net,KanJiChang'
    - 'DOMAIN-SUFFIX,playpcesor.com,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.com,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.com.hk,KanJiChang'
    - 'DOMAIN-SUFFIX,playstation.net,KanJiChang'
    - 'DOMAIN-SUFFIX,playstationnetwork.com,KanJiChang'
    - 'DOMAIN-SUFFIX,pushwoosh.com,KanJiChang'
    - 'DOMAIN-SUFFIX,rime.im,KanJiChang'
    - 'DOMAIN-SUFFIX,servebom.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sfx.ms,KanJiChang'
    - 'DOMAIN-SUFFIX,shadowsocks.org,KanJiChang'
    - 'DOMAIN-SUFFIX,sharethis.com,KanJiChang'
    - 'DOMAIN-SUFFIX,shazam.com,KanJiChang'
    - 'DOMAIN-SUFFIX,skype.com,KanJiChang'
    - 'DOMAIN-SUFFIX,smartdnsKanJiChang.com,KanJiChang'
    - 'DOMAIN-SUFFIX,smartmailcloud.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sndcdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sony.com,KanJiChang'
    - 'DOMAIN-SUFFIX,soundcloud.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sourceforge.net,KanJiChang'
    - 'DOMAIN-SUFFIX,spotify.com,KanJiChang'
    - 'DOMAIN-SUFFIX,squarespace.com,KanJiChang'
    - 'DOMAIN-SUFFIX,sstatic.net,KanJiChang'
    - 'DOMAIN-SUFFIX,st.luluku.pw,KanJiChang'
    - 'DOMAIN-SUFFIX,stackoverflow.com,KanJiChang'
    - 'DOMAIN-SUFFIX,startpage.com,KanJiChang'
    - 'DOMAIN-SUFFIX,staticflickr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,steamcommunity.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symauth.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symcb.com,KanJiChang'
    - 'DOMAIN-SUFFIX,symcd.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tapbots.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tapbots.net,KanJiChang'
    - 'DOMAIN-SUFFIX,tdesktop.com,KanJiChang'
    - 'DOMAIN-SUFFIX,techcrunch.com,KanJiChang'
    - 'DOMAIN-SUFFIX,techsmith.com,KanJiChang'
    - 'DOMAIN-SUFFIX,thepiratebay.org,KanJiChang'
    - 'DOMAIN-SUFFIX,theverge.com,KanJiChang'
    - 'DOMAIN-SUFFIX,time.com,KanJiChang'
    - 'DOMAIN-SUFFIX,timeinc.net,KanJiChang'
    - 'DOMAIN-SUFFIX,tiny.cc,KanJiChang'
    - 'DOMAIN-SUFFIX,tinypic.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tmblr.co,KanJiChang'
    - 'DOMAIN-SUFFIX,todoist.com,KanJiChang'
    - 'DOMAIN-SUFFIX,trello.com,KanJiChang'
    - 'DOMAIN-SUFFIX,trustasiassl.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tumblr.co,KanJiChang'
    - 'DOMAIN-SUFFIX,tumblr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tweetdeck.com,KanJiChang'
    - 'DOMAIN-SUFFIX,tweetmarker.net,KanJiChang'
    - 'DOMAIN-SUFFIX,twitch.tv,KanJiChang'
    - 'DOMAIN-SUFFIX,txmblr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,typekit.net,KanJiChang'
    - 'DOMAIN-SUFFIX,ubertags.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ublock.org,KanJiChang'
    - 'DOMAIN-SUFFIX,ubnt.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ulyssesapp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,urchin.com,KanJiChang'
    - 'DOMAIN-SUFFIX,usertrust.com,KanJiChang'
    - 'DOMAIN-SUFFIX,v.gd,KanJiChang'
    - 'DOMAIN-SUFFIX,v2ex.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vimeo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vimeocdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vine.co,KanJiChang'
    - 'DOMAIN-SUFFIX,vivaldi.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vox-cdn.com,KanJiChang'
    - 'DOMAIN-SUFFIX,vsco.co,KanJiChang'
    - 'DOMAIN-SUFFIX,vultr.com,KanJiChang'
    - 'DOMAIN-SUFFIX,w.org,KanJiChang'
    - 'DOMAIN-SUFFIX,w3schools.com,KanJiChang'
    - 'DOMAIN-SUFFIX,webtype.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikiwand.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikileaks.org,KanJiChang'
    - 'DOMAIN-SUFFIX,wikimedia.org,KanJiChang'
    - 'DOMAIN-SUFFIX,wikipedia.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wikipedia.org,KanJiChang'
    - 'DOMAIN-SUFFIX,windows.com,KanJiChang'
    - 'DOMAIN-SUFFIX,windows.net,KanJiChang'
    - 'DOMAIN-SUFFIX,wire.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wordpress.com,KanJiChang'
    - 'DOMAIN-SUFFIX,workflowy.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wp.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wsj.com,KanJiChang'
    - 'DOMAIN-SUFFIX,wsj.net,KanJiChang'
    - 'DOMAIN-SUFFIX,xda-developers.com,KanJiChang'
    - 'DOMAIN-SUFFIX,xeeno.com,KanJiChang'
    - 'DOMAIN-SUFFIX,xiti.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yahoo.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yimg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,ying.com,KanJiChang'
    - 'DOMAIN-SUFFIX,yoyo.org,KanJiChang'
    - 'DOMAIN-SUFFIX,ytimg.com,KanJiChang'
    - 'DOMAIN-SUFFIX,telegra.ph,KanJiChang'
    - 'DOMAIN-SUFFIX,telegram.org,KanJiChang'
    - 'IP-CIDR,91.108.4.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.8.0/21,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.16.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,91.108.56.0/22,KanJiChang,no-resolve'
    - 'IP-CIDR,149.154.160.0/20,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:67c:4e8::/48,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:b28:f23d::/48,KanJiChang,no-resolve'
    - 'IP-CIDR6,2001:b28:f23f::/48,KanJiChang,no-resolve'
    - 'IP-CIDR,120.232.181.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.241.147.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.253.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,120.253.255.98/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.150.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.150.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.151.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,180.163.151.34/32,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.39.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.40.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.41.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.43.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,203.208.50.0/24,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.162/32,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.226/32,KanJiChang,no-resolve'
    - 'IP-CIDR,220.181.174.34/32,KanJiChang,no-resolve'
    - 'DOMAIN,injections.adguard.org,DIRECT'
    - 'DOMAIN,local.adguard.org,DIRECT'
    - 'DOMAIN-SUFFIX,local,DIRECT'
    - 'IP-CIDR,127.0.0.0/8,DIRECT'
    - 'IP-CIDR,172.16.0.0/12,DIRECT'
    - 'IP-CIDR,192.168.0.0/16,DIRECT'
    - 'IP-CIDR,10.0.0.0/8,DIRECT'
    - 'IP-CIDR,17.0.0.0/8,DIRECT'
    - 'IP-CIDR,100.64.0.0/10,DIRECT'
    - 'IP-CIDR,224.0.0.0/4,DIRECT'
    - 'IP-CIDR6,fe80::/10,DIRECT'
    - 'DOMAIN-SUFFIX,cn,DIRECT'
    - 'DOMAIN-KEYWORD,-cn,DIRECT'
    - 'GEOIP,CN,DIRECT'
    - 'MATCH,KanJiChang'
